XBox 360 plugin update

This is where you talk about Plugins. How they are made and how they work, show examples.

Re: XBox 360 plugin update

Postby Demusman » Mon Jun 25, 2018 12:03 pm

Number 1.
Asking what the default button assignments are.
So when you first enable the plugin, there are 3 or 4 buttons that are already assigned commands.
I'm asking what they are.
Demusman
 
Posts: 8
Joined: Tue Jun 19, 2018 7:38 pm

Re: XBox 360 plugin update

Postby cncdrive » Mon Jun 25, 2018 12:56 pm

I think the easiest way to find out is to create a new profile in the UCCNC, load the plugin and note the default values down.
cncdrive
Site Admin
 
Posts: 2263
Joined: Tue Aug 12, 2014 11:17 pm

Re: XBox 360 plugin update

Postby Nema91 » Tue Jun 26, 2018 1:10 pm

Hello together,

first of all thanks Eric for your great Plugin!
I just bought UCCNC a few weeks ago and your Plugin is really essential!

The previous Version works like a charm, but i have a problem with 1.0010.
OS is Windows 10 x64.

First of all I deleted slimdx.
Afterwards I installed the newest slimdx sdk 2.0.13.43. Restart. Couldn‘t find the Plugin in UCCNC.
I read the readme so i installed slimdx runtime .net x64 2.0.13.43. Restart. Couldn‘t find Plugin in UCCNC.
If I delete 1.0010 and put back 1.0004 i can find the plugin.
I tried different combinations of slimdx but nothing works..

Can anybody imagine what the problem could be?

Thanks in advance,
Christian
Nema91
 
Posts: 8
Joined: Tue Jun 26, 2018 12:55 pm

Re: XBox 360 plugin update

Postby robertk925 » Tue Jun 26, 2018 4:02 pm

Nema91:

Are you sure you installed the correct version of SlimDX? You need the Net4.0 64bit version for version 1.0010 of the XBox plugin.

The SlimDX installer filename should be "SlimDX Runtime .NET 4.0 x64 (January 2012).msi".
robertk925
 
Posts: 9
Joined: Tue Sep 19, 2017 7:49 pm

Re: XBox 360 plugin update

Postby Nema91 » Tue Jun 26, 2018 7:09 pm

Yes, I installed the runtime for .NET 4.0 x64 which is included in an subfolder of the SDK.
I also tried with the downloaded Version from the slimdx Homepage.

It is a clean Installation of Windows 10 x64 without any other Programs. Only slimdx and uccnc is installed.
So .NET 4.0 should be included in Windows 10, right?

Thanks!
Nema91
 
Posts: 8
Joined: Tue Jun 26, 2018 12:55 pm

Re: XBox 360 plugin update

Postby eabrust » Tue Jun 26, 2018 10:32 pm

Nema91 wrote:Hello together,

first of all thanks Eric for your great Plugin!
I just bought UCCNC a few weeks ago and your Plugin is really essential!

The previous Version works like a charm, but i have a problem with 1.0010.
OS is Windows 10 x64.

First of all I deleted slimdx.
Afterwards I installed the newest slimdx sdk 2.0.13.43. Restart. Couldn‘t find the Plugin in UCCNC.
I read the readme so i installed slimdx runtime .net x64 2.0.13.43. Restart. Couldn‘t find Plugin in UCCNC.
If I delete 1.0010 and put back 1.0004 i can find the plugin.
I tried different combinations of slimdx but nothing works..

Can anybody imagine what the problem could be?

Thanks in advance,
Christian



Hi Christian,

Thanks for liking the plugin, when it worked for you :) .

Where are you getting the 'latest' runtime as 2.0.13.43? I can't find any version reference as you list. You should be good using either the runtime or the SDK labeled (2012).

I've verfied plugin loads and works on both X86 and x64 versions of Windows 7 (I don't have a Win10 PC).

regards,
Eric
eabrust
 
Posts: 35
Joined: Fri Sep 16, 2016 2:32 am

Re: XBox 360 plugin update

Postby Nema91 » Wed Jun 27, 2018 8:12 am

Hi Christian,

Thanks for liking the plugin, when it worked for you :) .

Where are you getting the 'latest' runtime as 2.0.13.43? I can't find any version reference as you list. You should be good using either the runtime or the SDK labeled (2012).

I've verfied plugin loads and works on both X86 and x64 versions of Windows 7 (I don't have a Win10 PC).

regards,
Eric


Hey Eric,

the version number "2.0.13.43" is displayed when you deinstall slimdx.
I think you can only see it on Windows 10.

I tested it today on my Desktop PC (Windows 10 x64). SlimDX SDK (January 2012) is installed.
It works with UCCNC 1.2105, but it doesn't work with UCCNC 2047 (nothing else was changed).
Did you change anything in the sourcecode which could lead to this behavior?


I have also a "problem" with the stick and step jog assignment.
My stick assignment is: LeftX=y, LeftY=x, RightX=JogStep, RightY=z.
So the "problem" is the inconsistency between the leftstick assignment and the assignment for the Dpad.
Is there a reason why we can't change the Dpad assignment or did nobody asked for that until now?


Thanks for your time Eric.

Greetings,
Christian
Nema91
 
Posts: 8
Joined: Tue Jun 26, 2018 12:55 pm

Re: XBox 360 plugin update

Postby cncdrive » Wed Jun 27, 2018 8:35 am

There is a big difference between UCCNC version 1.2047 and 1.2105.
The version 1.2047 is running on the .NET 2.0 framework and is running as fixed x86 (32bits) application.
The version 1.2105 is running on the .NET 4.0 framework and is running as an x86 (32bits) application on 32 bits systems and is running as x64 (64bits) application on 64 bits system.
cncdrive
Site Admin
 
Posts: 2263
Joined: Tue Aug 12, 2014 11:17 pm

Re: XBox 360 plugin update

Postby Nema91 » Wed Jun 27, 2018 9:55 am

There is a big difference between UCCNC version 1.2047 and 1.2105.
The version 1.2047 is running on the .NET 2.0 framework and is running as fixed x86 (32bits) application.
The version 1.2105 is running on the .NET 4.0 framework and is running as an x86 (32bits) application on 32 bits systems and is running as x64 (64bits) application on 64 bits system.


Thanks for the quick reply.
So a plugin which is compiled with .NET 4.0 and all plattforms(x86/x64) won't run on 1.2047?
Nema91
 
Posts: 8
Joined: Tue Jun 26, 2018 12:55 pm

Re: XBox 360 plugin update

Postby cncdrive » Wed Jun 27, 2018 10:25 am

Yes, a plugin which is compiled with .NET 4.0 will not run with version 1.2047, because that version is targeting an older .NET version 2.0.
But a plugin compiled with .NET 2.0 can run with version 1.2105 which is compiled with .NET 4.0, because the .NET 4.x framework can run .NET 2.0 code in backwards compatibility mode.

And a plugin which was compiled with x86 will run on x86 operating systems, but will not run on x64 operating system.
And a plugin compiled with x64 will not run on x86 operating systems, but will run on x64 operating systems.
And a plugin compiled with Any CPU will run on both x86 and x64 systems. We recommend AnyCPU compilation of plugins for the new 1.2105 UCCNC which also runs in AnyCPU mode targeting both the x86 and x64 platforms.
cncdrive
Site Admin
 
Posts: 2263
Joined: Tue Aug 12, 2014 11:17 pm

Previous

Return to Plugins

Who is online

Users browsing this forum: No registered users and 4 guests

cron